Page MenuHomePhabricator

Deploy Growth features on Swedish Wikipedia
Closed, ResolvedPublic

Description

Community

  • List people we can contact for the next steps:
  • subscribe to our newsletter, to know what would be the next steps.

Translations

Help panel

Homepage

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Pleas check maintenance template and links:

TaskDifficulty levelMaintenance templatesNumber of tasks (Oct 1)Learn more
Copyedit articleEasyMall:Språkvård565Wikipedia:Språkvård
Add LinksEasyMall:Ickewiki322https://sv.wikipedia.org/wiki/Wikipedia:Introduktion_till_wikil%C3%A4nkar (listed on Q27919580 or Q75275496)
Update articleMediumMall:Inaktuell Mall:Inaktuell mening Mall:Föråldrad Mall:Uppföljning saknas1650 (for Mall:Inaktuell)Wikipedia:Tidlöshet (doesn't really fit to list on Q4664141 but addresses the problems these templates point out)
Add ReferencesMediumMall:Källor+2,000Wikipedia:Verifierbarhet
Expand articleHardMall:Stub+2,000Wikipedia:Stubbar

For templates only, you can suggest more templates that match the task description.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2020, 3:38 PM
Ainali added a subscriber: Ainali.Jul 6 2020, 7:02 PM

We don't use the Help namespace on svwiki, all help articles are in the Wikipedia namespace.

Ainali updated the task description. (Show Details)Jul 6 2020, 7:19 PM
Ainali added a comment.Jul 6 2020, 8:47 PM

Where are the aliases supposed to be translated? In the Mediawiki namespace on svwiki?

Ainali updated the task description. (Show Details)Jul 6 2020, 9:38 PM

We don't use the Help namespace on svwiki, all help articles are in the Wikipedia namespace.

Noted. The features will work fine.

Where are the aliases supposed to be translated? In the Mediawiki namespace on svwiki?

Please translate them in the task description. These aliases have to be manually set when we create the configuration.

Ainali updated the task description. (Show Details)Jul 7 2020, 2:46 PM
Trizek-WMF updated the task description. (Show Details)Jul 7 2020, 3:31 PM
Trizek-WMF updated the task description. (Show Details)
Ainali updated the task description. (Show Details)Jul 7 2020, 4:02 PM
Ainali updated the task description. (Show Details)
Ainali updated the task description. (Show Details)Jul 7 2020, 4:10 PM

For your information, I'm on vacation until July 22. If you have any question about the tools, please ask @MMiller_WMF!

Ainali updated the task description. (Show Details)Jul 17 2020, 4:29 PM
Ainali updated the task description. (Show Details)Jul 18 2020, 4:19 PM

Hello @Ainali

Anything new? How can I help you?

I've reached out to all the mentors on sv.wiki, and all seem positive. However, it's the middle of the summer which means that Wikipedia has a lower priority so we are moving a bit slow. One question though, which pages do you recommend to use as help pages on Swedish Wikipedia? All the ones from mediawiki listed here?

I've reached out to all the mentors on sv.wiki, and all seem positive.

Good news!

However, it's the middle of the summer which means that Wikipedia has a lower priority so we are moving a bit slow.

No worries, this is also the case on our side.

One question though, which pages do you recommend to use as help pages on Swedish Wikipedia? All the ones from mediawiki listed here?

We recommend pages that are up to date and based on the use of the visual editor. They can be at any place, as far as they are clear and focusing on the point they try to help. If you need, we have a draft with some advice about writing help pages.

Has your community considered to use the Help namespace? On a lot of wikis, Wikipedia namespace is used to define policies and the Help space on how to apply them (beyond just explaining how to do something).

I was particularly thinking about help pages about the Growth extension. Perhaps the Feature summary is a good start.

Regarding Help pages, we actively stopped using them some years ago since it sometimes was confusing which pages belonged in the Wikipedia namespace and which ones in help. To avoid such confusion and not really helpful discussions everything was moved into the Wikipedia namespace.

I was particularly thinking about help pages about the Growth extension. Perhaps the Feature summary is a good start.

It is a good first read for experienced users. If you were considering it for newcomers, reading such a page may not be useful since they have no idea how Wikipedia works.

Regarding Help pages, we actively stopped using them some years ago since it sometimes was confusing which pages belonged in the Wikipedia namespace and which ones in help. To avoid such confusion and not really helpful discussions everything was moved into the Wikipedia namespace.

Makes sense.
For the record, Korean Wikipedia had the same approach as yours. Since they have the Growth tools, they've reconsidered their approach to have short, clear help pages for specific actions.

Ainali updated the task description. (Show Details)Aug 29 2020, 12:59 PM
Ainali updated the task description. (Show Details)Aug 29 2020, 8:35 PM
Julle updated the task description. (Show Details)Aug 29 2020, 8:42 PM
Julle added a subscriber: Julle.Aug 29 2020, 8:45 PM

I boldly made a couple of minor changes to the aliases in the task description. Special:Välkomstenkät is better than Special:VälkomstEnkät. Camel case makes some sort of sense in English, where it's two words. In Swedish, it's actually one word, so there's not reason to capitalise the second root morpheme. But we generally tend to avoid camel case in our translated Special: aliases (Special:Gamla sidor, not Special:GamlaSidor and so on), which is in line with our own style guide, so I'd also recommend Special:Välj nybörjare rather than Special:VäljNybörjare.

Anything I can do to help finishing this configuration? :)

Julle added a comment.Sep 1 2020, 5:39 PM

There's an ongoing discussion here:
https://sv.wikipedia.org/wiki/Wikipediadiskussion:Faddrar#Ny_funktion_f%C3%B6r_att_koppla_ihop_nyb%C3%B6rjare_med_faddrar

We've done most of the necessary translations, but still lack some translated documentation.

We are organizing our planning and we would like to deploy on your wiki just after Polish Wikipedia. It would be in two weeks from now. Would it be possible?

Ainali updated the task description. (Show Details)Sep 12 2020, 12:12 PM
Julle added a comment.Sep 12 2020, 3:53 PM

@Trizek-WMF Probably, if the one yet not fully translated page is the only thing we have to finish.

Trizek-WMF updated the task description. (Show Details)Sep 14 2020, 3:08 PM

Good!

I see the following elements being missing for now:

Maybe the translation of https://www.mediawiki.org/wiki/Growth/Communities/How%20to%20work%20with%20newcomers%20on%20help%20desks would help to convince mentors to join?

@Catrope is going to try to get the aliases to ride the train this week so we can deploy next week.

Change 627350 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Swedish (sv)

https://gerrit.wikimedia.org/r/627350

Change 627350 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add special page aliases for Swedish (sv)

https://gerrit.wikimedia.org/r/627350

Change 627395 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on svwiki

https://gerrit.wikimedia.org/r/627395

Help desk: https://sv.wikipedia.org/wiki/Wikipedia:Fikarummet

However, new questions should be posted to Wikipedia:Fikarummet/Frågor, right?

For the list of help pages, could you tell me what the text of each of the links should be? I can understand written Swedish moderately well, so I went with the following informed guesses for now:

For the first four, the link text I came up with is probably somewhat acceptable, but I think an actual Swedish speaker could probably come up with something better. For example, instead of "Illustrationer" you might want the link text to be something like "Att infoga en illustration". For the fifth link, you don't have to link to an article wizard if you don't have one. You can add a different link if there is a good fifth help page to link to, or we can omit it and only use four links. I'll defer to @Trizek-WMF on how to handle this.

Catrope claimed this task.Sep 15 2020, 12:10 AM
Catrope edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Catrope moved this task from Incoming to Needs More Work on the Growth-Team (Current Sprint) board.

Hello @Ainali and @Julle -- could one of you help us with @Catrope's final questions above?

Julle added a comment.Sep 25 2020, 1:40 PM

Yes, Wikipedia:Fikarummet/Frågor is the correct link. The other links are also good. Maybe this might work as link text:

  • Stilguide
  • Att redigera
  • Lägg till bild
  • Lägg till källa

@Ainali – makes sense?

Ainali updated the task description. (Show Details)Sep 26 2020, 11:46 AM
Ainali updated the task description. (Show Details)Sep 26 2020, 11:48 AM

Thanks! With that information, I'm now ready to deploy this. I'll schedule this for tomorrow at 18:00-19:00 UTC, but if you need more time, let me know by commenting on this task and I'll postpone it.

Catrope set Due Date to Sep 29 2020, 6:00 PM.Sep 28 2020, 6:05 PM

Sorry, make that Wednesday instead.

Catrope changed Due Date from Sep 29 2020, 6:00 PM to Sep 30 2020, 6:00 PM.Sep 28 2020, 6:07 PM

Change 627395 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on svwiki

https://gerrit.wikimedia.org/r/627395

Mentioned in SAL (#wikimedia-operations) [2020-09-30T18:38:26Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable and configure GrowthExperiments on svwiki (T257220) (duration: 00m 58s)

Ainali added a comment.Oct 1 2020, 6:50 AM

Sorry, I was too caught up in some other things so I missed to understand the deadline. We could really have used some more time since we haven't really discussed when to enable it yet. I'll make some announcements and we'll have to take it from there.

Trizek-WMF updated the task description. (Show Details)Oct 1 2020, 2:43 PM

Sorry for the rush. We took the opportunity of parallel deployments to have the features being deployed on Swedish Wikipedia.

We may be short of tasks for the easiest ones (the ones based on Mall:Språkvård and Mall:Ickewiki). Both have a low number of tasks. Is there some other templates that would fit the task description (copyedit and add links) that would fit?

Ainali added a comment.EditedOct 1 2020, 4:10 PM

For copyediting you can also add Mall:Städa, Mall:Fackspråk, Mall:Prosa and Mall:Fluff. I'll keep looking for something like adding links.

Etonkovidova added a subscriber: Etonkovidova.

With T264237: svwiki - SE topic selection with 0 results displays "Fetching task suggestions failed" verified and Resolved - I'm moving the task to PM column.

Note: There are quite few combinations of topics/level of difficulty that fetch 0 results, e.g.

  • all topics form "Culture" + all topics from "Regions"+ "Expand short article"
  • all topics + "Add links between articles"
Julle added a comment.EditedOct 5 2020, 9:16 PM

Regarding finding short articles, Swedish Wikipedia isn't very keen on using the stub template; a few weeks ago there was even a discussion on the Village Pump about getting rid of it:
https://sv.wikipedia.org/w/index.php?title=Wikipedia:Bybrunnen&oldid=48322084#Stubb_och_noter

I read that discussion as a potential consensus around Swedish Wikipedia not wanting to use the stub template in articles based on their length, but only for very basic articles that are missing really central pieces of information. There is, however, no other template or category that would serve us better.

Our Teahouse was set up to have new messages at the top, but the help panel questions are appended to the bottom. Is that possible to change?

@Trizek-WMF -- I believe we encountered this issue ("new messages at the top") with other wikis. Could you please look into whether or how we handled it in the past?

MMiller_WMF reassigned this task from Catrope to Trizek-WMF.Oct 21 2020, 6:19 PM

I don't remember, but @Catrope may know about it.

I briefly looked into this, and according to the code, it does the same thing that action=edit&section=new URL would do: https://sv.wikipedia.org/w/index.php?title=Wikipedia:Fikarummet/Fr%C3%A5gor&action=edit&section=new (I verified this via a test edit).

The good question is how to reverse the behavior of section=new, because that would fix GrowthExperiments as well. The code for adding new section seems to always append the new section rather than prepend, unless a hook changes it. According to codesearch, that hook isn't consumed by anything, so I don't see an easy way how to change that behavior (that is, with no code changes).

This can be fixed by introducing a new config variable for MW core, that would control whether a new section is prepended or appended.

A workaround would be to add a config variable for GrowthExperiments, that would change it only for GrowthExperiments questions (we can do that by appending our question to section 0, which is the header). I don't really like the workaround, as it's hacking core's feature, but it might be more acceptable than switching the behavior at all of the wiki.

Third idea I have: Consume PlaceNewSection hook in GrowthExperiments, and switch where the section goes only when the edit touches the page with GE questions, based on a config variable. That would change section=new's behavior for all edits, but only on the pages that GrowthExperiments extension changes. That could be a viable solution.

Catrope added a subscriber: Tgr.Nov 2 2020, 6:56 PM

Russian Wikipedia also encountered this issue, and we created a task about it at the time: T261714: Support posting new help desk questions at the top of the page.

As for @Urbanecm_WMF 's suggestion above: my gut feeling is that I'd prefer a narrower solution that doesn't mess with how section=new works, but I think @Tgr is better positioned to weigh in on this than I am.

Trizek-WMF removed Trizek-WMF as the assignee of this task.Nov 3 2020, 3:48 PM

I move the task to "needs more work", since we have a solution to implement.

Tgr added a comment.Nov 5 2020, 8:24 AM

Section handling in the backend is a lie; section operations just append / splice the section text into the base revision's text, and use the page's full text for the edit. There might be some point in using Content::replaceSection() if you aren't sure that the content type is (although I don't think anything other than wikitext implements section handling), but we do, so there is no point in making it any more complicated than fetching the revision text, prepending to it and writing it back.

Our Teahouse was set up to have new messages at the top, but the help panel questions are appended to the bottom. Is that possible to change?

New messages will soon be posted at the top. Please see T268227: Apply posting new help desk questions at the top of the page to the wikis needing them for the details!

MMiller_WMF closed this task as Resolved.Nov 24 2020, 5:45 AM
MMiller_WMF claimed this task.

Thank you!